- Create Channel
- Get Channels
- Get Channel
- Get Channel List
- Update Channel
- Delete Channel
POST /api/v1/integration/channelCreate ChannelResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/integration/channel" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create Channel",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/integration/channelGet all configured channels from the database.Responseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/integration/channel" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get all configured channels from the database.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/integration/channel/{channelId}Get a channel by its ID.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"af7c3ed5-67bd-48ea-89cd-8e93c0c7bac8".string
Example:
"AWS Vault".string
string
Example:
"vault".string
Example:
"aws_secrets_manager".boolean
Example:
true.object
string
string
Example:
"2026-08-16T13:08:30.903564Z".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".string
Example:
"2026-08-18T13:27:46.306915Z".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".string
Example:
"f5876bd6-3577-4720-b314-04d40f578c64".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/integration/channel/{channelId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get a channel by its ID.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"id": "af7c3ed5-67bd-48ea-89cd-8e93c0c7bac8",
"name": "AWS Vault",
"description": null,
"tag": "vault",
"qualified_name": "aws_secrets_manager",
"is_active": true,
"configuration": {
"name": "AWS Vault",
"region": "us-east-1",
"auth_type": "access key and secret key",
"description": null,
"awsaccesskey": "AKIA5GYYFS4XIIZDVREB",
"awssecretaccesskey": "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"
},
"is_valid": null,
"created_at": "2026-08-16T13:08:30.903564Z",
"created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"updated_at": "2026-08-18T13:27:46.306915Z",
"updated_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"channel_type_id": "f5876bd6-3577-4720-b314-04d40f578c64"
}
}
GET /api/v1/integration/channel/channel_listGet list of channels from Slack, Teams, and Google Chat using access_token.Responseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"https://chat.googleapis.com/v1/spaces/AAQAtbuPqOU/messages?key=AIzaSyDdI0hCZtE6vySjMm-WEfRq3CPzqKqqsHI&token=44MYh2ALooTUZwOVQ5vxI_MpqZSSqu6MzofUbBWgGW8".string
Example:
"prizm_qa".string
Example:
"https://chat.googleapis.com/v1/spaces/AAQAtbuPqOU/messages?key=AIzaSyDdI0hCZtE6vySjMm-WEfRq3CPzqKqqsHI&token=44MYh2ALooTUZwOVQ5vxI_MpqZSSqu6MzofUbBWgGW8".string
Example:
"google_chat".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/integration/channel/channel_list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get list of channels from Slack, Teams, and Google Chat using access_token.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
PUT /api/v1/integration/channel/{channelId}Update a channel configuration.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/integration/channel/{channelId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a channel configuration.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/integration/channel/{channelId}Delete a channel by its ID.Path Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/integration/channel/{channelId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a channel by its ID.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}